%define major 3
%define libname %mklibname xfce4mcs %{major} 

Summary:	Multi-channel settings management support for Xfce
Name:		libxfce4mcs
Version:	4.4.1
Release:	%mkrel 3
License:	LGPL
Group:		Graphical desktop/Xfce
URL:		http://www.xfce.org
Source0:	%{name}-%{version}.tar.bz2
BuildRequires: 	libxfce4util-devel >= %{version} 
BuildRequires:	X11-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
Multi-channel settings management support for Xfce.

%package -n %{libname}
Summary:	Multi-channel settings management support for Xfce
Group:		Graphical desktop/Xfce
Obsoletes:	%mklibname xfce4mcs 4
Provides:	%mklibname xfce4mcs 4

%description -n %{libname}
Multi-channel settings management support for Xfce.

%package -n %{libname}-devel
Summary:	Libraries and header files for the libxfce4mcs library
Group:		Development/Other
Requires:	%{libname} = %{version}
Provides:	libxfce4mcs-devel = %{version}-%{release}
Obsoletes:	%mklibname xfce4mcs -d 4
Provides:	%mklibname xfce4mcs -d 4

%description -n %{libname}-devel
Libraries and header files for the libxfce4mcs library.

%prep
%setup -q

%build
%configure2_5x \
	--sysconfdir=%{_sysconfdir}/X11
%make

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot}

%post -n %{libname} -p /sbin/ldconfig

%postun -n %{libname} -p /sbin/ldconfig

%files -n %{libname}
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING TODO
%{_libdir}/lib*.so.%{major}*
%{_datadir}/gtk-doc/html/libxfce4mcs/*

%files -n %{libname}-devel
%defattr(-,root,root)
%{_libdir}/lib*.so
%{_libdir}/*a
%{_libdir}/pkgconfig/*.pc
%{_includedir}/xfce4/%{name}


%changelog
* Tue May 29 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 4.4.1-3mdv2008.0
+ Revision: 32508
- correct major
- add provides/obsoletes

* Tue May 29 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 4.4.1-2mdv2008.0
+ Revision: 32279
- drop __libtoolize and __cputoolize
- spec file clean

  + Jérôme Soyer <saispo@mandriva.org>
    - Change ABI version

* Wed Apr 18 2007 Jérôme Soyer <saispo@mandriva.org> 4.4.1-1mdv2008.0
+ Revision: 14501
- New release 4.4.1


* Tue Jan 23 2007 plouf <plouf> 4.4.0-1mdv2007.0
+ Revision: 112305
- New release 4.4.0

* Sun Dec 10 2006 Jérôme Soyer <saispo@mandriva.org> 4.3.99.2-2mdv2007.1
+ Revision: 94500
- Repush
- Switch back
- Change BuildRequires
- New release 4.3.99.2
- Import libxfce4mcs

* Tue Jul 11 2006 Charles A Edwards <eslrahc@mandriva.org> 4.3.90.2-1mdv2006.0
- 4.3.90.2 (Xfce-4.4 beta2)

* Sat May 06 2006 trem <trem@mandriva.org> 4.3.90.1-2mdk
- Fix Provide for -devel

* Wed Apr 26 2006 Jerome Soyer <saispo@mandriva.org> 4.3.90.1-1mdk
- Tue Apr 18 2006 trem <trem@mandriva.org> 4.3.90.1-1mdk
- 4.3.90.1

* Mon Mar 06 2006 Marcel Pol <mpol@mandriva.org> 4.3.0-0.svn_r20246.1mdk
- svn r20246

* Mon Feb 06 2006 Marcel Pol <mpol@mandriva.org> 4.3.0-0.svn_r19739.2mdk
- new major

* Sat Feb 04 2006 Marcel Pol <mpol@mandriva.org> 4.3.0-0.svn_r19739.1mdk 
- 4.3.0 svn r19739
- don't run libtoolize
- update filelist

* Fri Jan 13 2006 Marcel Pol <mpol@mandriva.org> 4.2.3-1mdk
- 4.2.3

* Wed May 25 2005 Marcel Pol <mpol@mandriva.org> 4.2.2-1mdk
- 4.2.2
- %%mkrel

* Wed Mar 16 2005 Charles A Edwards <eslrahc@mandrake.org> 4.2.1-1mdk
- 4.2.1

* Sat Jan 22 2005 Marcel Pol <mpol@mandrake.org> 4.2.0-2mdk
- group: Graphical desktop/Xfce

* Tue Jan 18 2005 Charles A Edwards <eslrahc@mandrake.org> 4.2.0-1mdk
- 4.2.0 Final

* Sat Dec 25 2004 Marcel Pol <mpol@mandrake.org> 4.1.99.3-1mdk
- 4.1.99.3 (4.2.0 RC 3)

* Sun Dec 12 2004 Charles A Edwards <eslrahc@mandrake.org> 4.1.99.2-1mdk
- 4.1.99.2 (4.2.0 RC 2)

* Tue Nov 16 2004 Marcel Pol <mpol@mandrake.org> 4.1.99.1-1mdk
- 4.1.99.1
- s/XFce/Xfce
- adjust soname major

* Tue Jul 13 2004 Charles A Edwards <eslrahc@mandrake.org> 4.0.6-1mdk
- 4.0.6
- reenable libtoolize

* Sun Apr 18 2004 Charles A Edwards <eslrahc@mandrake.org> 4.0.5-1mdk
- 4.0.5

* Sat Apr 10 2004 Charles A Edwards <eslrahc@mandrake.org> 4.0.4-1mdk
- 4.0.4

